View Issue Details

IDProjectCategoryView StatusLast Update
0036250FPCCompilerpublic2021-02-27 22:45
ReporterC Western Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSmacosx 
Fixed in Version3.3.1 
Summary0036250: Internal error 200609171
Descriptioncompiling the attached with ppcx64 -gw3 test.pas gives:

Free Pascal Compiler version 3.3.1 [2019/11/02] for x86_64
Copyright (c) 1993-2019 by Florian Klaempfl and others
Target OS: Darwin for x86_64
Compiling test.pas
test.pas(9,1) Fatal: Internal error 200609171
Fatal: Compilation aborted

Discussion on the mailing list indicates this is because it isn't implemented yet. Adding it here so others can find it. Using other debug modes does not trigger the error.
TagsNo tags attached.
Fixed in Revision48834
FPCOldBugId
FPCTarget-
Attached Files

Relationships

has duplicate 0038314 resolvedJonas Maebe Internal error 200609171 on Darwin for AArch64 
has duplicate 0038545 resolvedJonas Maebe Dwarf-3 / MacOs, Internal Error 200609171 / Fpc 3.2.0 / 64bit 

Activities

C Western

2019-11-02 19:57

reporter  

test.pas (183 bytes)   
{$mode objfpc}
{$ModeSwitch objectivec2}

function NSStringToString(ns: NSString): String;
begin
    Result := '';
end;                 

begin
  WriteLn(NSStringToString(nil));
end.
test.pas (183 bytes)   

Issue History

Date Modified Username Field Change
2019-11-02 19:57 C Western New Issue
2019-11-02 19:57 C Western File Added: test.pas
2021-01-05 20:20 J. Gareth Moreton Relationship added related to 0038314
2021-02-08 22:06 Jonas Maebe Relationship replaced has duplicate 0038314
2021-02-25 20:46 Jonas Maebe Relationship added has duplicate 0038545
2021-02-27 22:45 Jonas Maebe Assigned To => Jonas Maebe
2021-02-27 22:45 Jonas Maebe Status new => resolved
2021-02-27 22:45 Jonas Maebe Resolution open => fixed
2021-02-27 22:45 Jonas Maebe Fixed in Version => 3.3.1
2021-02-27 22:45 Jonas Maebe Fixed in Revision => 48834
2021-02-27 22:45 Jonas Maebe FPCTarget => -